Fetch Instance Monitor Metrics
curl --request GET \
--url https://api.novita.ai/openapi/v1/metrics/gpu/instance \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/openapi/v1/metrics/gpu/instance"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/openapi/v1/metrics/gpu/instance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cpuUtilization": [
{
"timestamp": "<string>",
"value": 123
}
],
"memUtilization": [
{
"timestamp": "<string>",
"value": 123
}
],
"rootDiskUtilization": [
{
"timestamp": "<string>",
"value": 123
}
],
"gpuUtilization": {
"avg": [
{
"timestamp": "<string>",
"value": 123
}
],
"gpuIds": [
{
"gpuId": "<string>",
"items": [
{
"timestamp": "<string>",
"value": 123
}
]
}
]
},
"gpuMemUtilization": {
"avg": [
{
"timestamp": "<string>",
"value": 123
}
],
"gpuIds": [
{
"gpuId": "<string>",
"items": [
{
"timestamp": "<string>",
"value": 123
}
]
}
]
}
}Instance
Fetch Instance Monitor Metrics
GET
/
openapi
/
v1
/
metrics
/
gpu
/
instance
Fetch Instance Monitor Metrics
Request Headers
string
required
Enum:
application/jsonstring
required
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
If the parameters endTime, startTime, or interval do not meet the requirements, default values will be used. There may be a delay of about one minute when retrieving real-time monitoring data.
string
required
Instance ID.
integer
End time for querying monitoring data. Value range: (0, current timestamp], default: current timestamp.
integer
Start time for querying monitoring data. Value range: (0, endTime - 60], default: current timestamp - 60.
integer
Time granularity for monitoring data, in seconds. Value must be greater than 15. Default: 15.
Response
object[]
required
object[]
required
object[]
required
object
required
GPU utilization data.
Show properties
Show properties
object[]
required
object
required
GPU memory utilization data.
Show properties
Show properties
object[]
required
Last modified on July 3, 2026
Was this page helpful?
⌘I